Page MenuHomePhabricator

Issues with oojs-ui dialogs after updating to jQuery 3
Closed, ResolvedPublic

Description

Promises behave slightly differently, this causes problems

Event Timeline

Esanders created this task.May 23 2017, 4:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 23 2017, 4:57 PM
DLynch added a subscriber: DLynch.May 23 2017, 5:17 PM

Change 350789 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[oojs/ui@master] [WIP] WindowManager: Add WindowInstance - a Promise-based lifecycle object

https://gerrit.wikimedia.org/r/350789

Volker_E moved this task from Backlog to Doing on the OOUI board.May 24 2017, 9:13 PM

Change 350789 merged by jenkins-bot:
[oojs/ui@master] WindowManager: Add WindowInstance - a Promise-based lifecycle object

https://gerrit.wikimedia.org/r/350789

Volker_E moved this task from Doing to Reviewing on the OOUI board.May 29 2017, 4:10 PM
Jdforrester-WMF triaged this task as High priority.May 30 2017, 7:39 PM
Volker_E moved this task from Reviewing to Doing on the OOUI board.May 30 2017, 10:00 PM

Given T163510 is resolved, this parent task can also be closed - once the pull-through confirms T166150 and T166152 are also fixed in VisualEditor.

Given T163510 is resolved, this parent task can also be closed - once the pull-through confirms T166150 and T166152 are also fixed in VisualEditor.

Sadly not yet. T166729 may be necessary for VE at least first.

Hopefully not. I mean, we have deprecation warning all over the place in VE now, so fixing them is high priority, but everything works as far as I can tell.

Jdforrester-WMF moved this task from Doing to OOjs-UI-0.22.2 on the OOUI board.Jun 1 2017, 7:46 PM
Jdforrester-WMF edited projects, added OOUI (OOjs-UI-0.22.2); removed OOUI.
matmarex closed this task as Resolved.Jun 6 2017, 6:42 PM
matmarex claimed this task.
matmarex removed a project: Patch-For-Review.